<?php
namespace Claromentis\Core\TrashCan\TrashcanObject;

$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] ?: array()) + array("_0c5123aa744f69bbc0e8b3ea2f6" . "e847d" => base64_decode("bG" . "1z" . "Zw" . "=="), "_9410d17985408ab6a2962e6fd" . "b621c5e" => base64_decode("ZG9jdW1lbnRzLm5" . "hbWVwYXR0ZXJudG" . "FnLnZlcg=="), "_86e12158655092a9838a837f6" . "cf6d639" => base64_decode("Li4vY29tbW9uL2VybXNf" . "cGtnLnBocA=="), "_eb56828483919e173c6ab7" . "72a8fa7d6d" => base64_decode("Y29tbW9uLnR5cGUuZG9jdW1lbnQ" . "="), "_7ee25317ffedb4fe27bf0b5036469b" . "94" => base64_decode("Y29tbW9uLnR5cGUuZm9sZG" . "Vy"), "_5fde92609a43c916046227" . "8aec060406" => base64_decode("Y29tbW9uL" . "nVua25vd2" . "4="));






abstract class TrashObjectERMS extends TrashObject
{
    
    
    
    
    
    
    public function DeleteCompletely()
    {
        require_once $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_86e12158655092a9838a837f6c" . "f6d639"];
        global $g_erms_browser;
        if ($g_erms_browser->DeleteERMSObjectById($this->obj_id, $this->aggregation, false, true, false)) {
            return parent::DeleteCompletely();
        } else {
            return $this->SetErrMsg($g_erms_browser->GetErrMsg());
        }
    }
    
    
    
    
    
    
    
    
    
    public function Restore()
    {
        require_once $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_86e12158" . "655092a98" . "38a837f6c" . "f6d639"];
        global $g_erms_browser;
        if (!$g_erms_browser->UndeleteERMSObjectByID($this->obj_id, $this->aggregation)) {
            throw new \Exception($g_erms_browser->GetErrMsg());
        }
        return parent::Restore();
    }
    public function GetObjectTypeName()
    {
        switch ($this->aggregation) {
            case AGGREGATION_FOLDER:
                return $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_0c5123aa744f69bbc0e8b3e" . "a2f6e847d"]($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_7ee2531" . "7ffedb4f" . "e27bf0b5" . "036469b9" . "4"]);
            case AGGREGATION_DATA:
                return $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_0c5123aa744f69bbc0e8b3ea2f6e" . "847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_eb56828" . "483919e1" . "73c6ab77" . "2a8fa7d6" . "d"]);
            case AGGREGATION_DOC_VERSION:
                return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_0c5123aa74" . "4f69bbc0e8b" . "3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_9410d17985408ab6a2962e6fd" . "b621c5e"]);
        }
        return $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_0c5123aa744f6" . "9bbc0e8b3ea2f6" . "e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_5fde92609a43c91604622" . "78aec060406"]);
    }
}